import { SuccessResponse } from '@sourceloop/core';
import { JwtKeys } from '../../../models';
import { JwtKeysRepository } from '../../../repositories';
import { IdpLoginService } from '../../../services';
import { AuthRefreshTokenRequest, AuthTokenRequest, AuthUser, IdpConfiguration, TokenResponse } from '../models';
export declare class IdentityServerController {
    private readonly idpLoginService;
    private readonly user;
    private jwtKeysRepository;
    constructor(idpLoginService: IdpLoginService, user: AuthUser | undefined, jwtKeysRepository: JwtKeysRepository);
    getConfig(): Promise<IdpConfiguration>;
    getToken(req: AuthTokenRequest): Promise<TokenResponse>;
    me(): Promise<AuthUser | undefined>;
    logout(auth: string, req: AuthRefreshTokenRequest): Promise<SuccessResponse>;
    generateKeys(): Promise<void>;
    rotateKeys(): Promise<void>;
    getKeys(): Promise<JwtKeys[]>;
}
