import { Provider } from '@loopback/context';
import { ILogger } from '@sourceloop/core';
import { VerifyFunction } from 'loopback4-authentication';
import { SignupRequest } from '../models/signup-request.model';
import { JwtKeysRepository } from '../repositories';
import { IAuthServiceConfig } from '../types';
export declare class SignupBearerVerifyProvider implements Provider<VerifyFunction.BearerFn<SignupRequest>> {
    jwtKeysRepo: JwtKeysRepository;
    logger: ILogger;
    private readonly authConfig?;
    constructor(jwtKeysRepo: JwtKeysRepository, logger: ILogger, authConfig?: IAuthServiceConfig | undefined);
    value(): VerifyFunction.BearerFn<SignupRequest>;
}
