/// <reference types="node" />
/// <reference types="node" />
import { Provider } from '@loopback/core';
import { JwtKeysRepository } from '../repositories';
import { IAuthServiceConfig } from '../types';
import { JWTSignerFn } from './types';
export declare class JWTSignerProvider<T extends string | object | Buffer> implements Provider<JWTSignerFn<T>> {
    jwtKeysRepo: JwtKeysRepository;
    private readonly authConfig?;
    constructor(jwtKeysRepo: JwtKeysRepository, authConfig?: IAuthServiceConfig | undefined);
    value(): JWTSignerFn<T>;
}
